path: /build/build/exceptiongroup-dev-python-1.2.0.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    USE="-python_targets_python3_10 -python_targets_python3_7 -python_targets_python3_8 python_targets_python3_9" emerge dev-python/exceptiongroup -pv -t && \
    USE="-python_targets_python3_10 -python_targets_python3_7 -python_targets_python3_8 python_targets_python3_9" emerge -j ${JOBS} --nodeps dev-python/exceptiongroup
  - export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && export LUET_PORTAGE_IGNORE_TAR_WARNING=1
    && export LUET_PORTAGE_PKGMETA=1 && export LUET_PORTAGE_PKGFILES=1 && eval 'rm
    -rf /pkgdir/ || true' && mkdir -p /pkgdir/exceptiongroup && luet-portage --dir
    /pkgdir/exceptiongroup dev-python/exceptiongroup && eval 'rm -v /var/cache/distfiles/*
    ${LUET_PORTAGE_CACHE_PACKAGES}/* || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree:cce64ca3619801b2d1ce1496cb85818020ce50c3351df2ec415372978f9f70e4
  package:
    name: exceptiongroup
    version: 1.2.0
    category: dev-python
    use_flags:
    - -python_targets_python3_10
    - -python_targets_python3_7
    - -python_targets_python3_8
    - python_targets_python3_9
    requires:
    - name: flit_scm
      version: '>=0'
      category: dev-python
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: Backport of PEP 654 (exception groups)
    uri:
    - https://pypi.org/project/exceptiongroup/
    license: MIT
    buildtimestamp: 2023-12-02 19:32:48.443807314 +0000 UTC m=+211.692696989
    labels:
      BDEPEND: python_targets_python3_10? ( dev-lang/python:3.10 ) python_targets_python3_7?
        ( dev-lang/python:3.7 ) python_targets_python3_9? ( dev-lang/python:3.9 )
        python_targets_python3_8? ( dev-lang/python:3.8 ) >=dev-lang/python-exec-2:=[python_targets_python3_10(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
        >=dev-python/gpep517-6[python_targets_python3_10(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
        dev-python/flit_scm[python_targets_python3_10(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
      IUSE: python_targets_python3_10 python_targets_python3_7 python_targets_python3_9
        python_targets_python3_8
      RDEPEND: python_targets_python3_10? ( dev-lang/python:3.10 ) python_targets_python3_7?
        ( dev-lang/python:3.7 ) python_targets_python3_9? ( dev-lang/python:3.9 )
        python_targets_python3_8? ( dev-lang/python:3.8 ) >=dev-lang/python-exec-2:=[python_targets_python3_10(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
      emerge.packages: dev-python/exceptiongroup
      kit: python-modules-kit
      original.package.name: dev-python/exceptiongroup
      original.package.slot: "0"
      original.package.version: 1.2.0
    treedir: /build/packages
  package_dir: /pkgdir/exceptiongroup
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: a475e3c8a09702118549ce6f47e6c76122642517fed266dad418b935e454eb6c
compressiontype: zstd
files:
- usr/lib/python3.9/site-packages/exceptiongroup/__init__.py
- usr/lib/python3.9/site-packages/exceptiongroup/__pycache__/__init__.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/exceptiongroup/__pycache__/__init__.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/exceptiongroup/__pycache__/__init__.cpython-39.pyc
- usr/lib/python3.9/site-packages/exceptiongroup/__pycache__/_catch.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/exceptiongroup/__pycache__/_catch.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/exceptiongroup/__pycache__/_catch.cpython-39.pyc
- usr/lib/python3.9/site-packages/exceptiongroup/__pycache__/_exceptions.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/exceptiongroup/__pycache__/_exceptions.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/exceptiongroup/__pycache__/_exceptions.cpython-39.pyc
- usr/lib/python3.9/site-packages/exceptiongroup/__pycache__/_formatting.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/exceptiongroup/__pycache__/_formatting.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/exceptiongroup/__pycache__/_formatting.cpython-39.pyc
- usr/lib/python3.9/site-packages/exceptiongroup/__pycache__/_suppress.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/exceptiongroup/__pycache__/_suppress.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/exceptiongroup/__pycache__/_suppress.cpython-39.pyc
- usr/lib/python3.9/site-packages/exceptiongroup/__pycache__/_version.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/exceptiongroup/__pycache__/_version.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/exceptiongroup/__pycache__/_version.cpython-39.pyc
- usr/lib/python3.9/site-packages/exceptiongroup/_catch.py
- usr/lib/python3.9/site-packages/exceptiongroup/_exceptions.py
- usr/lib/python3.9/site-packages/exceptiongroup/_formatting.py
- usr/lib/python3.9/site-packages/exceptiongroup/_suppress.py
- usr/lib/python3.9/site-packages/exceptiongroup/_version.py
- usr/lib/python3.9/site-packages/exceptiongroup/py.typed
- usr/lib/python3.9/site-packages/exceptiongroup-1.2.0.dist-info/METADATA
- usr/lib/python3.9/site-packages/exceptiongroup-1.2.0.dist-info/RECORD
- usr/lib/python3.9/site-packages/exceptiongroup-1.2.0.dist-info/WHEEL
- usr/share/doc/exceptiongroup-1.2.0/README.rst.bz2
- var/db/pkg/dev-python/exceptiongroup-1.2.0/BDEPEND
- var/db/pkg/dev-python/exceptiongroup-1.2.0/BUILD_TIME
- var/db/pkg/dev-python/exceptiongroup-1.2.0/CATEGORY
- var/db/pkg/dev-python/exceptiongroup-1.2.0/CBUILD
- var/db/pkg/dev-python/exceptiongroup-1.2.0/CFLAGS
- var/db/pkg/dev-python/exceptiongroup-1.2.0/CHOST
- var/db/pkg/dev-python/exceptiongroup-1.2.0/CONTENTS
- var/db/pkg/dev-python/exceptiongroup-1.2.0/COUNTER
- var/db/pkg/dev-python/exceptiongroup-1.2.0/CXXFLAGS
- var/db/pkg/dev-python/exceptiongroup-1.2.0/DEFINED_PHASES
- var/db/pkg/dev-python/exceptiongroup-1.2.0/DESCRIPTION
- var/db/pkg/dev-python/exceptiongroup-1.2.0/EAPI
- var/db/pkg/dev-python/exceptiongroup-1.2.0/FEATURES
- var/db/pkg/dev-python/exceptiongroup-1.2.0/HOMEPAGE
- var/db/pkg/dev-python/exceptiongroup-1.2.0/INHERITED
- var/db/pkg/dev-python/exceptiongroup-1.2.0/IUSE
- var/db/pkg/dev-python/exceptiongroup-1.2.0/IUSE_EFFECTIVE
- var/db/pkg/dev-python/exceptiongroup-1.2.0/KEYWORDS
- var/db/pkg/dev-python/exceptiongroup-1.2.0/LDFLAGS
- var/db/pkg/dev-python/exceptiongroup-1.2.0/LICENSE
- var/db/pkg/dev-python/exceptiongroup-1.2.0/PF
- var/db/pkg/dev-python/exceptiongroup-1.2.0/RDEPEND
- var/db/pkg/dev-python/exceptiongroup-1.2.0/SIZE
- var/db/pkg/dev-python/exceptiongroup-1.2.0/SLOT
- var/db/pkg/dev-python/exceptiongroup-1.2.0/USE
- var/db/pkg/dev-python/exceptiongroup-1.2.0/environment.bz2
- var/db/pkg/dev-python/exceptiongroup-1.2.0/exceptiongroup-1.2.0.ebuild
- var/db/pkg/dev-python/exceptiongroup-1.2.0/repository
package_cacheimage: ""
runtime:
  name: exceptiongroup
  version: 1.2.0
  category: dev-python
  use_flags:
  - -python_targets_python3_10
  - -python_targets_python3_7
  - -python_targets_python3_8
  - python_targets_python3_9
  requires:
  - name: python
    version: '>=0'
    category: dev-lang-3.9
  - name: python-exec
    version: '>=0'
    category: dev-lang-2
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: Backport of PEP 654 (exception groups)
  uri:
  - https://pypi.org/project/exceptiongroup/
  license: MIT
  labels:
    BDEPEND: python_targets_python3_10? ( dev-lang/python:3.10 ) python_targets_python3_7?
      ( dev-lang/python:3.7 ) python_targets_python3_9? ( dev-lang/python:3.9 ) python_targets_python3_8?
      ( dev-lang/python:3.8 ) >=dev-lang/python-exec-2:=[python_targets_python3_10(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
      >=dev-python/gpep517-6[python_targets_python3_10(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
      dev-python/flit_scm[python_targets_python3_10(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
    IUSE: python_targets_python3_10 python_targets_python3_7 python_targets_python3_9
      python_targets_python3_8
    RDEPEND: python_targets_python3_10? ( dev-lang/python:3.10 ) python_targets_python3_7?
      ( dev-lang/python:3.7 ) python_targets_python3_9? ( dev-lang/python:3.9 ) python_targets_python3_8?
      ( dev-lang/python:3.8 ) >=dev-lang/python-exec-2:=[python_targets_python3_10(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
    emerge.packages: dev-python/exceptiongroup
    kit: python-modules-kit
    original.package.name: dev-python/exceptiongroup
    original.package.slot: "0"
    original.package.version: 1.2.0
